Get Issue/Redeem History
curl --request GET \
--url https://api.anchorage-staging.com/v2/stablecoins/history \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/stablecoins/history"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/stablecoins/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"amount": "100.00",
"createdAt": "2023-11-07T05:31:56Z",
"destinationAssetTypeId": "PYUSD",
"destinationWalletId": "<string>",
"id": "<string>",
"operationType": "ISSUE",
"sourceAssetTypeId": "USD",
"sourceWalletId": "<string>",
"status": "EXECUTING",
"authorizationOperationId": "<string>",
"destinationOperationId": "<string>",
"sourceOperationId": "<string>",
"subStatus": "REJECTED_BY_CUSTOMER"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Get Issue/Redeem History
Permissions required: Convert Stablecoins
Retrieve the history of stablecoin issuance and redemption operations for your organization. Results are paginated and ordered by creation time (newest first).
GET
/
stablecoins
/
history
Get Issue/Redeem History
curl --request GET \
--url https://api.anchorage-staging.com/v2/stablecoins/history \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/stablecoins/history"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/stablecoins/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"amount": "100.00",
"createdAt": "2023-11-07T05:31:56Z",
"destinationAssetTypeId": "PYUSD",
"destinationWalletId": "<string>",
"id": "<string>",
"operationType": "ISSUE",
"sourceAssetTypeId": "USD",
"sourceWalletId": "<string>",
"status": "EXECUTING",
"authorizationOperationId": "<string>",
"destinationOperationId": "<string>",
"sourceOperationId": "<string>",
"subStatus": "REJECTED_BY_CUSTOMER"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
Maximum number of results to return (default 100, max 100)
Required range:
1 <= x <= 100Cursor for pagination - timestamp of the last result from the previous page (RFC3339 format)
Was this page helpful?